@echo off
echo Build...

REM Пути к файлам
set MINGW=C:/Program Files/Dev-Cpp/MinGW64
set PLATFORM=x86_64-w64-mingw32
set VERSION=4.9.2

REM Пути к библиотекам
set INC1=%MINGW%/include
set INC2=%MINGW%/%PLATFORM%/include
set INC3=%MINGW%/lib/gcc/%PLATFORM%/%VERSION%/include
set INC4=%MINGW%/lib/gcc/%PLATFORM%/%VERSION%/include/c++
set INCLIB=-I"%INC1%" -I"%INC2%" -I"%INC3%" -I"%INC4%" -std=gnu++11 -m32

REM Компиляция файлов
rm -f main.exe
g++ -c main.cpp -o main.o %INCLIB%
g++ -c app.cpp -o app.o %INCLIB%
g++ -c window.cpp -o window.o %INCLIB%

REM Сборка и очистка
g++ main.o app.o window.o -o main.exe -L"%MINGW%/%PLATFORM%/lib32" -static-libgcc -mwindows -lopengl32 -lglu32 -lm -m32
rm -f *.o

REM Запуск
main.exe
pause